<!DOCTYPE HTML>
	<html>
<head>
	<em>Science and Engineering Ethics (2001) 7, 231-238</em>

	<hr>

	<title>HTML Introduction Activity</title>

</head>

<body>

	<h1>Software Engineerng Code of Ehtics and Proffesional Practice
</h1>

<h2>IEEE-CS/ACM Joint task Force on Software Engineerng Code of Ehtics and Proffesional Practice</h2>

<hr>

<p><strong>keywords</strong> :code of ethics, proffesional responsibilty, softwware engineering</p>

<h3>PREAMBLE</h3>
<p>The short vesion of teh code summaries aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspiratons change the way we acts as software engineering proffesionals. Without the aspirations, the details can become legalistics and tedious; without the details, the aspirations can high-sounding but empty; together, the aspirations ans thye details form a cohesive code.

Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected proffesion. In accordance with thier commitment to teh health, safety, and welfare of the public, software engineers shall adherese to the following eight principles: </p>
<h3>PRINCIPLES</h3>
<ol>
	<li>Public. Software enginners shall acts consistenly with the public interest.</li>
	<li>Client and employer, Software engineers shall act in a manner that is in the best interest of thier client and employer, consistent with the public interest.</li>
	<li>Product. Sotware engineers shall ensure that thier products and related modifications meet the highest proffesional standards possible.</li>
	<li>Judgment. Software engineers shall maintain integrity ands independence in thier proffesional judgement.</li>
	<li>Management. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
	<li>Proffession. Software engineers shall advance the integrity and reputation of the proffesion consistent with the public interest.</li>
	<li>Colleagues. Software engineers shall be fair to and supportive of thier colleagues.li>
	<li>Self. Software engineers shall participate in lifelong learning regarding the pratice of thier proffession and shall promote an ethical approach to the pratice of the proffesion.</li>
	
</ol>
</body>		


	</html>